Make lftools version configurable
[releng/global-jjb.git] / jjb-test / expected-xml / gerrit-ciman-jjb-merge
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>false</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>7</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue/>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>LFTOOLS_VERSION</name>
69           <description>Version of lftools to install. Can be a specific version like
70 '0.6.0' or a PEP-440 definition.
71 https://www.python.org/dev/peps/pep-0440/
72 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
73 </description>
74           <defaultValue>&lt;1.0.0</defaultValue>
75         </hudson.model.StringParameterDefinition>
76         <hudson.model.StringParameterDefinition>
77           <name>JJB_VERSION</name>
78           <description>Jenkins Job Builder version to download and install.</description>
79           <defaultValue>1.6.2</defaultValue>
80         </hudson.model.StringParameterDefinition>
81       </parameterDefinitions>
82     </hudson.model.ParametersDefinitionProperty>
83   </properties>
84   <scm class="hudson.plugins.git.GitSCM">
85     <configVersion>2</configVersion>
86     <userRemoteConfigs>
87       <hudson.plugins.git.UserRemoteConfig>
88         <name>origin</name>
89         <refspec/>
90         <url>$GIT_URL/$GERRIT_PROJECT</url>
91         <credentialsId>test-credential</credentialsId>
92       </hudson.plugins.git.UserRemoteConfig>
93     </userRemoteConfigs>
94     <branches>
95       <hudson.plugins.git.BranchSpec>
96         <name>refs/heads/master</name>
97       </hudson.plugins.git.BranchSpec>
98     </branches>
99     <excludedUsers/>
100     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
101     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
102     <authorOrCommitter>false</authorOrCommitter>
103     <wipeOutWorkspace>true</wipeOutWorkspace>
104     <pruneBranches>false</pruneBranches>
105     <remotePoll>false</remotePoll>
106     <gitTool>Default</gitTool>
107     <submoduleCfg class="list"/>
108     <relativeTargetDir/>
109     <reference/>
110     <gitConfigName/>
111     <gitConfigEmail/>
112     <skipTag>true</skipTag>
113     <scmName/>
114     <useShallowClone>false</useShallowClone>
115     <ignoreNotifyCommit>false</ignoreNotifyCommit>
116     <extensions>
117       <hudson.plugins.git.extensions.impl.SubmoduleOption>
118         <disableSubmodules>false</disableSubmodules>
119         <recursiveSubmodules>true</recursiveSubmodules>
120         <trackingSubmodules>false</trackingSubmodules>
121         <reference/>
122         <timeout>10</timeout>
123       </hudson.plugins.git.extensions.impl.SubmoduleOption>
124       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
125     </extensions>
126   </scm>
127   <triggers class="vector">
128     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
129       <spec/>
130       <gerritProjects>
131         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
132           <compareType>ANT</compareType>
133           <pattern>releng/ciman</pattern>
134           <branches>
135             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
136               <compareType>ANT</compareType>
137               <pattern>**/master</pattern>
138             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
139           </branches>
140           <filePaths>
141             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
142               <compareType>ANT</compareType>
143               <pattern>**/*.sh</pattern>
144             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
145             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
146               <compareType>ANT</compareType>
147               <pattern>**/*.yaml</pattern>
148             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
149           </filePaths>
150           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
151         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
152       </gerritProjects>
153       <skipVote>
154         <onSuccessful>false</onSuccessful>
155         <onFailed>false</onFailed>
156         <onUnstable>false</onUnstable>
157         <onNotBuilt>false</onNotBuilt>
158       </skipVote>
159       <silentMode>false</silentMode>
160       <silentStartMode>false</silentStartMode>
161       <escapeQuotes>true</escapeQuotes>
162       <noNameAndEmailParameters>false</noNameAndEmailParameters>
163       <readableMessage>false</readableMessage>
164       <dependencyJobsNames/>
165       <notificationLevel/>
166       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
167       <triggerConfigURL/>
168       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
169       <triggerOnEvents>
170         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginChangeMergedEvent/>
171         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
172           <commentAddedCommentContains>remerge$</commentAddedCommentContains>
173         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
174       </triggerOnEvents>
175       <buildStartMessage/>
176       <buildFailureMessage/>
177       <buildSuccessfulMessage/>
178       <buildUnstableMessage/>
179       <buildNotBuiltMessage/>
180       <buildUnsuccessfulFilepath/>
181       <customUrl/>
182       <serverName>test-server</serverName>
183     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
184   </triggers>
185   <builders>
186     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
187       <managedFiles>
188         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
189           <fileId>jjbini</fileId>
190           <targetLocation>$HOME/.config/jenkins_jobs/jenkins_jobs.ini</targetLocation>
191           <variable/>
192         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
193       </managedFiles>
194     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
195     <hudson.tasks.Shell>
196       <command>#!/bin/bash
197 # SPDX-License-Identifier: EPL-1.0
198 ##############################################################################
199 # Copyright (c) 2017 The Linux Foundation and others.
200 #
201 # All rights reserved. This program and the accompanying materials
202 # are made available under the terms of the Eclipse Public License v1.0
203 # which accompanies this distribution, and is available at
204 # http://www.eclipse.org/legal/epl-v10.html
205 ##############################################################################
206 echo &quot;---&gt; jjb-install.sh&quot;
207
208 # Ensure we fail the job if any steps fail.
209 # DO NOT set -u as virtualenv's activate script has unbound variables
210 set -e -o pipefail
211
212 virtualenv &quot;/tmp/v/jjb&quot;
213 # shellcheck source=/tmp/v/jjb/bin/activate disable=SC1091
214 source &quot;/tmp/v/jjb/bin/activate&quot;
215 pip install --quiet --upgrade pip
216 pip install --quiet --upgrade pipdeptree
217 pip install --quiet --upgrade &quot;jenkins-job-builder==$JJB_VERSION&quot;
218
219 echo &quot;----&gt; Pip Dependency Tree&quot;
220 pipdeptree
221
222 #!/bin/bash
223 # SPDX-License-Identifier: EPL-1.0
224 ##############################################################################
225 # Copyright (c) 2017 The Linux Foundation and others.
226 #
227 # All rights reserved. This program and the accompanying materials
228 # are made available under the terms of the Eclipse Public License v1.0
229 # which accompanies this distribution, and is available at
230 # http://www.eclipse.org/legal/epl-v10.html
231 ##############################################################################
232 echo &quot;---&gt; jjb-merge-job.sh&quot;
233
234 # Ensure we fail the job if any steps fail.
235 set -eu -o pipefail
236
237 jenkins-jobs update --recursive --delete-old --workers 4 --exclude jjb-test jjb
238 </command>
239     </hudson.tasks.Shell>
240   </builders>
241   <publishers>
242     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
243       <buildSteps>
244         <hudson.tasks.Shell>
245           <command>#!/bin/bash
246 # SPDX-License-Identifier: EPL-1.0
247 ##############################################################################
248 # Copyright (c) 2017 The Linux Foundation and others.
249 #
250 # All rights reserved. This program and the accompanying materials
251 # are made available under the terms of the Eclipse Public License v1.0
252 # which accompanies this distribution, and is available at
253 # http://www.eclipse.org/legal/epl-v10.html
254 ##############################################################################
255 echo &quot;---&gt; sysstat.sh&quot;
256 set +e  # DON'T fail build if script fails.
257
258 OS=$(facter operatingsystem)
259 case &quot;$OS&quot; in
260     Ubuntu)
261         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
262
263         # Dont run the script when systat is not enabled by default
264         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
265             exit 0
266         fi
267     ;;
268     CentOS|RedHat)
269         SYSSTAT_PATH=&quot;/var/log/sa&quot;
270     ;;
271     *)
272         # nothing to do
273         exit 0
274     ;;
275 esac
276
277 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
278 mkdir -p &quot;$SAR_DIR&quot;
279 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
280 # convert sar data to ascii format
281 while IFS=&quot;&quot; read -r s
282 do
283     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
284 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
285
286 # DON'T fail build if script fails.
287 exit 0
288 </command>
289         </hudson.tasks.Shell>
290         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
291           <managedFiles>
292             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
293               <fileId>jenkins-log-archives-settings</fileId>
294               <targetLocation/>
295               <variable>SETTINGS_FILE</variable>
296             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
297           </managedFiles>
298         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
299         <EnvInjectBuilder>
300           <info>
301             <propertiesContent>SERVER_ID=logs</propertiesContent>
302           </info>
303         </EnvInjectBuilder>
304         <hudson.tasks.Shell>
305           <command>#!/bin/bash
306 # SPDX-License-Identifier: EPL-1.0
307 ##############################################################################
308 # Copyright (c) 2017 The Linux Foundation and others.
309 #
310 # All rights reserved. This program and the accompanying materials
311 # are made available under the terms of the Eclipse Public License v1.0
312 # which accompanies this distribution, and is available at
313 # http://www.eclipse.org/legal/epl-v10.html
314 ##############################################################################
315 echo &quot;---&gt; create-netrc.sh&quot;
316
317 # Ensure we fail the job if any steps fail.
318 set -eu -o pipefail
319
320 NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
321 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
322     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
323     -v x:username -o &quot;:&quot; -v x:password \
324     &quot;$SETTINGS_FILE&quot;)
325
326 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
327 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
328 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
329
330 echo &quot;machine $machine login $user password $pass&quot; &gt; ~/.netrc
331 </command>
332         </hudson.tasks.Shell>
333         <hudson.tasks.Shell>
334           <command>#!/bin/bash
335 # SPDX-License-Identifier: EPL-1.0
336 ##############################################################################
337 # Copyright (c) 2017 The Linux Foundation and others.
338 #
339 # All rights reserved. This program and the accompanying materials
340 # are made available under the terms of the Eclipse Public License v1.0
341 # which accompanies this distribution, and is available at
342 # http://www.eclipse.org/legal/epl-v10.html
343 ##############################################################################
344 echo &quot;---&gt; lftools-install.sh&quot;
345
346 # Script to install lftools via a version passed in via lf-infra-parameters
347 #
348 # Required parameters:
349 #
350 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
351 #                      set to a strict version number like '1.2.3' or using
352 #                      PEP-440 definitions.
353 #
354 #                      Examples:
355 #                          &lt;1.0.0
356 #                          &gt;=1.0.0,&lt;2.0.0
357 #
358 # By default a released version of lftools should always be used.
359 # The purpose of the 2 variables below is so that lftools devs can test
360 # unreleased versions of lftools. There are 2 methods to install a dev version
361 # of lftools:
362 #
363 #     1) gerrit patch: Used to test a patch that has not yet been merged.
364 #                      To do this set something like this:
365 #                          LFTOOLS_MODE=gerrit
366 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
367 #
368 #     2) git branch: Used to install an lftools version from a specific branch.
369 #                    To use this set the variables as follows:
370 #                          LFTOOLS_MODE=git
371 #                          LFTOOLS_REFSPEC=master
372 #
373 #     3) release : The intended use case and default setting.
374 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
375
376 LFTOOLS_MODE=release  # release | git | gerrit
377 LFTOOLS_REFSPEC=master
378
379 # Ensure we fail the job if any steps fail.
380 # DO NOT set -u as virtualenv's activate script has unbound variables
381 set -e -o pipefail
382
383 virtualenv --quiet &quot;/tmp/v/lftools&quot;
384 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
385 source &quot;/tmp/v/lftools/bin/activate&quot;
386 pip install --quiet --upgrade pip
387
388 case $LFTOOLS_MODE in
389     gerrit)
390         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
391         pushd /tmp/lftools
392         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
393         git checkout FETCH_HEAD
394         pip install --quiet --upgrade -r requirements.txt
395         pip install --quiet --upgrade -e .
396         popd
397         ;;
398
399     git)
400         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
401         ;;
402
403     release)
404         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
405             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
406         fi
407
408         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
409         ;;
410 esac
411
412 lftools --version
413
414 # pipdeptree prints out a lot of information because lftools pulls in many
415 # dependencies. Let's only print it if we want to debug.
416 # echo &quot;----&gt; Pip Dependency Tree&quot;
417 # pip install --quiet --upgrade pipdeptree
418 # pipdeptree
419
420 #!/bin/bash
421 # SPDX-License-Identifier: EPL-1.0
422 ##############################################################################
423 # Copyright (c) 2017 The Linux Foundation and others.
424 #
425 # All rights reserved. This program and the accompanying materials
426 # are made available under the terms of the Eclipse Public License v1.0
427 # which accompanies this distribution, and is available at
428 # http://www.eclipse.org/legal/epl-v10.html
429 ##############################################################################
430 echo &quot;---&gt; logs-deploy.sh&quot;
431
432 # Ensure we fail the job if any steps fail.
433 set -eu -o pipefail
434
435 set -x  # Trace commands for this script to make debugging easier.
436
437 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
438 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
439
440 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
441 then
442     set +x # Disable trace since we no longer need it
443
444     echo &quot;WARNING: Logging server not set&quot;
445 else
446     NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
447     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
448     BUILD_URL=&quot;${BUILD_URL}&quot;
449
450     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
451     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
452
453     set +x  # Disable trace since we no longer need it.
454
455     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
456 fi
457 </command>
458         </hudson.tasks.Shell>
459         <hudson.tasks.Shell>
460           <command>#!/bin/bash
461 # SPDX-License-Identifier: EPL-1.0
462 ##############################################################################
463 # Copyright (c) 2017 The Linux Foundation and others.
464 #
465 # All rights reserved. This program and the accompanying materials
466 # are made available under the terms of the Eclipse Public License v1.0
467 # which accompanies this distribution, and is available at
468 # http://www.eclipse.org/legal/epl-v10.html
469 ##############################################################################
470
471 # Clear log credential files
472 rm &quot;$SETTINGS_FILE&quot;
473 rm ~/.netrc
474 </command>
475         </hudson.tasks.Shell>
476         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
477           <regexp>^Build logs: .*</regexp>
478         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
479       </buildSteps>
480       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
481       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
482       <markBuildUnstable>false</markBuildUnstable>
483     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
484     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
485       <patterns>
486         <hudson.plugins.ws__cleanup.Pattern>
487           <pattern>**/*.jenkins-trigger</pattern>
488           <type>EXCLUDE</type>
489         </hudson.plugins.ws__cleanup.Pattern>
490       </patterns>
491       <deleteDirs>false</deleteDirs>
492       <cleanupMatrixParent>false</cleanupMatrixParent>
493       <externalDelete/>
494       <cleanWhenSuccess>true</cleanWhenSuccess>
495       <cleanWhenUnstable>true</cleanWhenUnstable>
496       <cleanWhenFailure>true</cleanWhenFailure>
497       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
498       <cleanWhenAborted>true</cleanWhenAborted>
499       <notFailBuild>true</notFailBuild>
500     </hudson.plugins.ws__cleanup.WsCleanup>
501   </publishers>
502   <buildWrappers>
503     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
504     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
505       <timeoutMinutes>10</timeoutMinutes>
506       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
507       <failBuild>true</failBuild>
508       <writingDescription>false</writingDescription>
509       <timeoutPercentage>0</timeoutPercentage>
510       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
511       <timeoutType>absolute</timeoutType>
512     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
513     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
514     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
515       <user>test-credential</user>
516     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
517     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
518   </buildWrappers>
519 </project>